Summary: A Motif based CD player.
Name: xmcd
Version: 2.6
Release: 5
Copyright: Distibutable
Source0: ftp://ftp.x.org:/contrib/applications/xmcd/%{name}-%{version}.tar.gz
Patch1: xmcd-2.6-appdefaults.patch
Patch2: xmcd-2.1-lesstif.patch
Patch3: xmcd-2.6-redhat.patch
Patch4: xmcd-2.6-noroot.patch
Url:http://sunsite.unc.edu/~cddb/xmcd/
Group: Applications/Multimedia
BuildRoot: %{_tmppath}/%{name}-root
Requires: openmotif
BuildPrereq: openmotif-devel

%description
Xmcd is a full-featured CD player utility package.  It includes xmcd
(a CD player for the X Window System) and cda (a command-line, text
mode CD player).  Both utilities will play audio CDs on your computer.
Multi-disc CD changers are supported on many platforms.  Xmcd claims
support for a wide range of CD drives.  You will probably need to run
the /etc/X11/xmcd/config.sh program before using it.  Also, you will
need to have either Motif or LessTif installed on your system in order
to install xmcd.

%prep

%setup -q
%patch1 -p1 -b .default
%patch2 -p1 -b .lesstif
%patch3 -p1 -b .redhat
%patch4 -p1 -b .noroot

%build
export PATH=$PATH:/usr/X11R6/bin
xmkmf -a
make

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT/etc/X11/applnk/Multimedia/
mkdir -p $RPM_BUILD_ROOT/etc/X11/xmcd \
        $RPM_BUILD_ROOT/usr/X11R6/bin \
        $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults

BATCH_BINDIR=$RPM_BUILD_ROOT/usr/X11R6/bin \
BATCH_LIBDIR=$RPM_BUILD_ROOT/usr/X11R6/lib/X11 \
BATCH_XMCDLIB=$RPM_BUILD_ROOT/usr/X11R6/lib/X11/xmcd \
BATCH_MANDIR=$RPM_BUILD_ROOT/usr/X11R6/man/man1 \
BATCH_CDDBDIR=$RPM_BUILD_ROOT/usr/X11R6/lib/X11/xmcd/cddb \
BATCH_DISCOGDIR=$RPM_BUILD_ROOT/usr/X11R6/lib/X11/xmcd/discog \
sh install.sh -n -b

mv $RPM_BUILD_ROOT/usr/X11R6/lib/X11/xmcd/config/{.tbl,*} \
	$RPM_BUILD_ROOT/etc/X11/xmcd/
rmdir $RPM_BUILD_ROOT/usr/X11R6/lib/X11/xmcd/config && \
	ln -s ../../../../../etc/X11/xmcd $RPM_BUILD_ROOT/usr/X11R6/lib/X11/xmcd/config

# move binaries in correct place
rm -f $RPM_BUILD_ROOT/usr/X11R6/bin/*
install -m 755 misc_d/start.sh $RPM_BUILD_ROOT/usr/X11R6/bin
mv $RPM_BUILD_ROOT/usr/X11R6/lib/X11/xmcd/bin-*/* \
   $RPM_BUILD_ROOT/usr/X11R6/bin 
rm -rf $RPM_BUILD_ROOT/usr/X11R6/lib/X11/xmcd/bin-*
mv $RPM_BUILD_ROOT/usr/X11R6/lib/X11/xmcd/app-defaults/XMcd $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults

cp $RPM_BUILD_ROOT/usr/X11R6/lib/X11/xmcd/config/common.cfg \
   $RPM_BUILD_ROOT/usr/X11R6/lib/X11/xmcd/config/cdrom

# change setuid
chmod 0755 $RPM_BUILD_ROOT/usr/X11R6/bin/{cda,xmcd}

cat >$RPM_BUILD_ROOT/etc/X11/applnk/Multimedia/xmcd.desktop<<EOF
[Desktop Entry]
Name=XmCD
Comment=A Motif based CD player
Exec=xmcd
Terminal=0
Type=Application
EOF

%files
%defattr(-,root,root)
%doc README docs_d/*
/usr/X11R6/bin/*
/usr/X11R6/man/*/*
/etc/X11/xmcd
/usr/X11R6/lib/X11/xmcd
/usr/X11R6/lib/X11/app-defaults/XMcd
%config /etc/X11/applnk/Multimedia/xmcd.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Dec 12 2000 Karsten Hopp <karsten@redhat.de>
- fix bug #21359 (wrong path for app-default file)

* Thu Aug 03 2000 Than Ngo <than@redhat.de>
- fix bad permision (Bug #15075)

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Thu Jul 13 2000 Than Ngo <than@redhat.de>
- add BuildPrereq: openmotif-devel

* Mon Jun 12 2000 Than Ngo <than@redhat.de>
- update 2.6 for 7.0
- build with openmotif-2.1.30
- clean up specfile
- remove wmconfig/xmcd, add xmcd.desktop

* Mon Aug 30 1999 Tim Powers <timp@redhat.com>
- changed group

* Mon Jul 26 1999 Tim Powers <timp@redhat.com>
- rebuilt for 6.1
- added %defattr

* Fri Apr 09 1999 Michael Maher <mike@redhat.com>
- fixed cda.c for stderr

* Tue Oct 27 1998 Cristian Gafton <gafton@redhat.com>
- config file updates so it might actually run out of the box

* Wed May 20 1998 Cristian Gafton <gafton@redhat.com>
- buildroot
- patch to get rid of the uglyu interactive installer

* Thu Nov 20 1997 Otto Hammersmith <otto@redhat.com>
- added wmconfig entry

* Wed Nov 19 1997 Otto Hammersmith <otto@redhat.com>
- built new version, 2.2
- built against lesstif

